routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('welcome');
});*/

Auth::routes();

/* Admin Auth Route*/
Route::get('admin/', 'LoginController@index');
Route::get('admin/login', 'LoginController@index')->name('admin.login'); 
Route::post('admin/login', 'LoginController@authCheck')->name('admin.login');
Route::get('admin/logout', 'LoginController@logout')->name('admin.logout');


Route::group(['middleware' => 'auth:Admin',  'prefix' => 'admin'], function(){

	Route::get('/dashboard','Admin\DashboardController@index')->name('admin.dashboard');

	Route::resource('employee','Admin\EmployeeController');
	Route::resource('admin-influencer','Admin\InfluencerController');
  Route::get('approve-reject/{id}/{flag}', 'Admin\InfluencerController@approve_reject')->name('admin.approve_reject');
  Route::post('/admin-influencer-list','Admin\InfluencerController@influencer_list')->name('admin.influencer_list');


	Route::resource('admin-shop','Admin\ShopController');
  Route::post('/admin-shop-list','Admin\ShopController@shop_list')->name('admin.shop_list');

  Route::resource('admin-category','Admin\CategoryController');  

  Route::resource('admin-users','Admin\UserController');
  Route::get('/paying-users','Admin\UserController@index')->name('admin.paying_users');
  Route::get('/paid-users','Admin\UserController@paid_users')->name('admin.paid_users');

  Route::get('/assign-shop-into-category','Admin\ShopController@assign_shop_into_category')->name('admin.assign_shop_into_category');

  Route::get('/setting','Admin\DashboardController@setting')->name('admin.setting');
  Route::post('/setting-update','Admin\DashboardController@setting_update')->name('admin.setting_update');

  Route::resource('admin-notification','Admin\NotificationController');

  Route::resource('admin-country','Admin\CountryController');

  Route::get('/import-influencer','Admin\InfluencerController@import_influencer')->name('admin.import_influencer');
  Route::post('/import-influencer','Admin\InfluencerController@import_influencer_store')->name('admin.import_influencer_store');
});


/* User Auth Route*/
Route::get('/', 'LoginController@index');
Route::get('user/login', 'LoginController@index')->name('user.login'); 
Route::post('user/login', 'LoginController@authCheck')->name('user.login');
Route::get('user/logout', 'LoginController@logout')->name('user.logout'); 

Route::get('user/signup', 'SignupController@index')->name('user.signup');
Route::post('user/signup', 'SignupController@signup')->name('user.signup');
Route::post('user/payment-request', 'SignupController@stripe_payment_request')->name('user.stripe_payment_request');

Route::get('user/is-email-already-exists-user', 'SignupController@is_email_already_exists_user')->name('user.is_email_already_exists_user');

Route::group(['middleware' => 'auth:User',  'prefix' => 'user'], function(){

    Route::get('/dashboard','User\DashboardController@index')->name('user.dashboard');
    Route::get('/profile','User\ProfileController@index')->name('user.profile');
    Route::post('/update-email','User\ProfileController@update_email')->name('user.update_email');
    Route::post('/update-password','User\ProfileController@update_password')->name('user.update_password');
    Route::get('/check-old-password','User\ProfileController@check_old_password')->name('user.check_old_password');

    Route::get('/cancel-subscription','User\ProfileController@cancel_subscription')->name('user.cancel_subscription');

    Route::resource('shop','User\ShopController');
    
    Route::resource('trend','User\TrendController');

    Route::resource('influencer','User\InfluencerController');
    Route::get('user/influencer-favourite', 'User\InfluencerController@influencer_favourite')->name('user.influencer_favourite'); 

    Route::resource('live-now','User\LivePromotionController');

    Route::resource('influencer-list','User\InfluencerListController');
    Route::get('assign-influencer/delete', 'User\InfluencerListController@delete')->name('user.influencer_list.delete');
    Route::post('assign-influencer/update', 'User\InfluencerListController@update')->name('user.influencer_list.update');
    Route::get('favourite-influencer-list', 'User\InfluencerListController@favourite_influencer_list')->name('user.favourite_influencer_list'); 

    Route::get('user/assign-influencer', 'User\InfluencerListController@assign_influencer')->name('user.assign_influencer'); 

    Route::resource('shop-list','User\ShopListController');
    Route::get('assign-shop/delete', 'User\ShopListController@delete')->name('user.shop_list.delete');
    Route::post('assign-shop/update', 'User\ShopListController@update')->name('user.shop_list.update');

    Route::get('favourite-shop-list', 'User\ShopListController@favourite_shop_list')->name('user.favourite_shop_list');

    Route::get('user/assign-shop', 'User\ShopListController@assign_shop')->name('user.assign_shop'); 

    Route::resource('media-list','User\MediaListController');
    Route::get('assign-media/delete', 'User\MediaListController@delete')->name('user.media_list.delete');
    Route::post('assign-media/update', 'User\MediaListController@update')->name('user.media_list.update');

    Route::get('user/assign-media', 'User\MediaListController@assign_media')->name('user.assign_media'); 

    Route::resource('notification','User\NotificationController');
     
});

Route::get('/instagram-profile','InstagramAPITestController@index');
Route::get('/profile-stories','InstagramAPITestController@profile_stories');
Route::get('/set-influencer-rank','InstagramAPITestController@set_influencer_rank');
Route::get('/shop-video-concat','InstagramAPITestController@shop_video_concat');
Route::get('/sendinblue-contact-status-update','InstagramAPITestController@sendinblue_contact_status_update');


Route::get('/inst-demo-profile','InstagramAPIDemoController@index');
Route::get('/profile-demo-stories','InstagramAPIDemoController@profile_stories');

Route::get('/clear', function() {

   Artisan::call('cache:clear');
   Artisan::call('config:clear');
   Artisan::call('config:cache');
   Artisan::call('view:clear');
   Artisan::call('clear-compiled');

   return "Cleared!";

});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
	use Notifiable;
    use SoftDeletes;

    protected $guard = 'User';
    
    protected $table = 'user';

    protected $primaryKey = 'user_id';
	
    protected $fillable = [
        'profile_pic', 'first_name', 'last_name', 'instagram_id','country_id', 'email', 'password', 'admin_id'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password'
    ];

    public function getAuthEmail()
    {
        return $this->email;
    }

    public function getAuthPassword()
    {
        return $this->password;
    }
}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\User;
use Hash;
use DB;
use Session;
use Auth;

class UserController extends Controller
{
    
    public function index()
    { 
        $admin_id = Auth::guard('Admin')->user()->admin_id;
        $users = User::select("user.*")->whereIn('status', ['pending','cancel'])->latest()->get();

        return view('admin.user.paying_user', compact('users'));
    }

    public function paid_users()
    { 
        $admin_id = Auth::guard('Admin')->user()->admin_id;
        $users = User::select("user.*")->where('status', 'subscribed')->latest()->get();

        return view('admin.user.paid_user', compact('users'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    { 
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    { 
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Admin $employee)
    {
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Admin $employee)
    { 
    }
    
    public function destroy($id)
    { 
    }
}

app/Http/Controllers/User/DashboardController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Admin;
use App\Models\Influencer;
use App\Models\Shop;
use App\Models\User;
use App\Models\Notification;
use Illuminate\Http\Request;
use App\Http\Requests;
use DB;
use Mail;
use Auth;
use Hash;
use File;
use Config;
use Carbon;

class DashboardController extends Controller
{
    public function __construct()
    {
        
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
    */
    public function index(Request $request)
    {   
        $influencers = Influencer::select("influencer.*")->count();
        $shops = Shop::select("shop.*")->count();
        $users = User::select("user.*")->count();

        $notifications = Notification::latest('date')->limit(4)->get();

        $setting = DB::table('setting')->first();

        $user_id = Auth::guard('User')->user()->user_id;

        $influencer_list = DB::table('influencer_list')->where('is_favourite', 1)->where('user_id', $user_id)->first();
        $influencer_list_id = isset($influencer_list->influencer_list_id) ? $influencer_list->influencer_list_id : 0;
        $fav_influencers = Influencer::whereIn('influencer.influencer_id', function($query) use ($influencer_list_id){
           $query->select('influencer_id')->from('assigned_influencer')->where('influencer_list_id', $influencer_list_id)->get();
        })
        ->where('is_approved', 1)
        ->groupBy('influencer.influencer_id')
        ->limit(7)
        ->get();

        $shop_list = DB::table('shop_list')->where('is_favourite', 1)->where('user_id', $user_id)->first();
        $shop_list_id = isset($shop_list->shop_list_id) ? $shop_list->shop_list_id : 0;
        $fav_shops = Shop::whereIn('shop.shop_id', function($query) use ($shop_list_id){
           $query->select('shop_id')->from('assigned_shop')->where('shop_list_id', $shop_list_id)->get();
        })
        ->groupBy('shop.shop_id')
        ->limit(7)
        ->get();

        $best_shop_of_the_month = Shop::select('shop.shop_id','website', DB::raw('COUNT(DISTINCT shop.influencer_id) as promotions'),'influencer.influencer_id','instagram_id', 'profile_pic')
        ->leftJoin('influencer','shop.influencer_id', '=' ,'influencer.influencer_id')
            ->whereBetween('shop.created_at', [
                Carbon\Carbon::parse('first day of last month')->startOfDay(),
                Carbon\Carbon::parse('last day of last month')->endOfDay(),
            ])
            ->where('is_approved', 1)
            ->groupBy('website')
            ->orderBy('promotions', 'desc')
            ->first();

        return view('user.dashboard', compact('shops', 'influencers', 'setting', 'notifications','fav_influencers', 'influencer_list_id', 'fav_shops','shop_list_id','best_shop_of_the_month','users'));
        
    }

    public function change_password(){
        return view('user.change_password');
    }

    public function update_password(Request $Request){

        $user_id = Auth::guard('User')->user()->user_id;
        $user = Admin::where('user_id', $user_id)->first();
        if (!Hash::check($Request->old_password, $user->password)) {
            return redirect()->route('user.edit_profile')->with('error','Your old password dose not match.');
         } else {

            Admin::where('user_id', $user_id)->update(['password' => Hash::make($Request->new_password)]);
            return redirect()->route('user.change_password')->with('success','Password changed successfully.');
         }
     }

     public function check_old_password(Request $Request){
        $user_id = Auth::guard('Admin')->user()->user_id;
        $user = Admin::where('user_id', $user_id)->first();
        
        if (Hash::check($Request->old_password, $user->password)) 
            return 'true';
        else 
            return 'false';
     }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $Request)
    { 
       
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        //return view('user.edit');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function update(Request $Request)
    {
        
    }
}

app/Http/Controllers/User/NotificationController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Notification;
use Hash;
use DB; 
use Session;
use Auth;

class NotificationController extends Controller
{
    public function index()
    { 
        $notifications = Notification::select("notification.*")
            ->latest('date')
            ->paginate(10);

        DB::table('user')->where('user_id', Auth::guard('User')->user()->user_id)->update(['is_unread_notification' => 1]);

        /*$notification = Notification::first();
        $user_id = Auth::guard('User')->user()->user_id; 

        $cnt = Notification::whereRaw('FIND_IN_SET('.Auth::guard('User')->user()->user_id.', view_user_ids) IS NULL')->count();
        if($cnt != 0)
        {
             $view_user_ids = $notification->view_user_ids;
            $view_user_ids_arr = !empty($view_user_ids) ? explode(",", $view_user_ids) : array();
            array_push($view_user_ids_arr, $user_id);
            DB::table('notification')->update(['view_user_ids' => implode(",", $view_user_ids_arr)]); 
        }*/
        return view('user.notification.index', compact('notifications'));
    }

    public function show($notification_id)
    { 
        $notification = Notification::select("notification.*")
            ->where('notification_id', $notification_id)
            ->first();

        return view('user.notification.show', compact('notification'));
    }
}

app/Http/Controllers/User/TrendController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Shop;
use App\Models\Influencer;
use Illuminate\Http\Request;
use App\Http\Requests;
use DB;
use Mail;
use File;
use Carbon;

class TrendController extends Controller
{
    public function __construct()
    {
        
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
    */
    public function index(Request $request)
    {
        $top_influencer_of_week = Influencer::select('influencer.influencer_id','instagram_id', 'profile_pic', DB::raw('COUNT(DISTINCT shop.website) as promos'))
            ->leftJoin('shop','shop.influencer_id', '=' ,'influencer.influencer_id')
            ->whereBetween('shop.created_at', [
                Carbon\Carbon::parse('last monday')->startOfDay(),
                Carbon\Carbon::parse('next sunday')->endOfDay(),
            ])
            ->where('is_approved', 1)
            ->groupBy('influencer.influencer_id')
            ->orderBy('promos', 'desc')
            ->limit(10)->get();

        $top_shop_of_week = Shop::select('shop.shop_id','website', DB::raw('COUNT(DISTINCT influencer_id) as promotions'))
            ->whereBetween('created_at', [
                Carbon\Carbon::parse('last monday')->startOfDay(),
                Carbon\Carbon::parse('next sunday')->endOfDay(),
            ])
            ->groupBy('website')
            ->orderBy('promotions', 'desc')
            ->limit(10)->get();

        return view('user.trend', compact('top_shop_of_week', 'top_influencer_of_week'));
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $Request)
    { 
       
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        //return view('user.edit');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function update(Request $Request)
    {
        
    }
}

resources/views/user/dashboard.blade.php
@extends('layout.main')
@section('content')
<div class="col-md-6 col-sm-6 col-xs-12 no-padding">
    <div class="middlepart">
        <div class="dashboardwelcom">
            <h3>{{$setting->dashboard_header}}</h3>

             @if ($message = Session::get('success'))
                <div class="alert text-success">
                    <i class="fa fa-check"></i> {{ $message }}
                </div>
            @endif

            <p>{{$setting->dashboard_text}}</p>
            <div class="welcomelist">
                @foreach($notifications as $notification)

                    <div class="item">
                        <div class="date">
                            <h4>{{date("m/d/y", strtotime($notification->date))}}</h4>
                        </div>
                        <div class="content">
                            <p>
                                {{Str::limit($notification->notification,50)}}
                            </p>
                        </div>
                        <div class="readmore">
                            <a href="{{route('notification.show', $notification->notification_id)}}">READ MORE</a>
                        </div>
                    </div>

                @endforeach
                
            </div>
            <div class="showmore">
                <a href="{{route('notification.index')}}">Show more</a>
            </div>
        </div>

        <div class="statisctic">
            <h3>Statistics</h3>
            <div class="statiscticitem">
                <div class="icon">
                    <img src="{{ asset('images/statistic1.png')}}">
                </div>
                <div class="info">
                    <h4>{{$setting->dashboard_total_members}}</h4>
                    <span>Total members</span>
                </div>
            </div>
            <div class="statiscticitem">
                <div class="icon">
                    <img src="{{ asset('images/statistic2.png')}}">
                </div>
                <div class="info">
                    <h4>{{$shops}}</h4>
                    <span>Total shops</span>
                </div>
            </div>
            <div class="statiscticitem">
                <div class="icon">
                    <img src="{{ asset('images/statistic3.png')}}">
                </div>
                <div class="info">
                    <h4>{{$influencers}}</h4>
                    <span>Total influencers </span>
                </div>
            </div>
        </div>
        @if(isset($best_shop_of_the_month->shop_id))
        <div class="bestshopmonth">
            <h3>THE BEST SHOP OF THE MONTH</h3>
            <div class="promotion">
                <div class="leftpart">
                    <a href="{{route('shop.show', $best_shop_of_the_month->shop_id)}}">{{Str::limit($best_shop_of_the_month->website, 25)}}</a>
                    <p>{{$best_shop_of_the_month->promotions}} promotions this month</p>
                </div>
                <div class="rightpart">
                    <a href="{{route('shop.show', $best_shop_of_the_month->shop_id)}}">show more</a>
                </div>
            </div>
            <div class="promoted">
                <div class="leftpart">
                    <h6>Promoted by</h6>
                    @if(!empty($best_shop_of_the_month->profile_pic))
                        <img style="border-radius: 50%;" src="{{asset(Config::get('constants.profile_image_thumb_url').$best_shop_of_the_month->profile_pic)}}">
                    @else
                        <img style="border-radius: 50%;" src="{{asset('images/profile.png')}}">
                    @endif
                    <p>{{$best_shop_of_the_month->instagram_id}}</p>
                </div>
                <div class="rightpart">
                    <a href="{{route('influencer.show', $best_shop_of_the_month->influencer_id)}}">show more</a>
                </div>
            </div>
        </div>
        @endif
    </div>
</div>
<div class="col-md-3 col-sm-3 col-xs-12 no-padding">
    <div class="rightside">
        <div class="favoriteinfluencer">
            <h3 class="sectitle">Favorite influencers</h3>
                @if(!$fav_influencers->isEmpty())
                    @foreach($fav_influencers as $influencer)
                    <div class="item">
                        <a href="{{route('influencer.show', $influencer->influencer_id)}}" target="_blank">
                            @if(!empty($influencer->profile_pic))
                                <img src="{{asset(Config::get('constants.profile_image_thumb_url').$influencer->profile_pic)}}">
                            @else
                                <img src="{{asset('images/profile.png')}}">
                            @endif
                        <p>{{$influencer->first_name.' '.$influencer->last_name}}</p>
                        </a>
                        <span class="followers">{{Helpers::short_number_format($influencer->followers)}}</span>
                    </div>
                    @endforeach
                    <!-- <div class="item">
                        <img src="{{ asset('images/favuser2.png')}}">
                        <p>Malcolm Quaday</p>
                        <span>17.6k</span>
                    </div>-->
                    <div class="showmore">
                        <a href="{{route('influencer-list.show', $influencer_list_id)}}">Show all</a>
                    </div>
                @else
                    If you want to pin a favorite influencer list on your dashboard, please go to influencers list page and check one.
                @endif
        </div>

        <div class="favoriteinfluencer favoriteshops">
            <h3 class="sectitle">Favorite shops</h3>
            
            @if(!$fav_shops->isEmpty())
                    @foreach($fav_shops as $shop)
                    <div class="item">
                        <a href="{{route('shop.show', $shop->shop_id)}}" target="_blank">{{Str::limit($shop->website,20)}}</a>
                        @if($shop->activity == 'high')
                            <span><i class="fa fa-circle" style="color: #fbdede;"></i> High </span>
                        @elseif($shop->activity == 'medium')
                            <span><i class="fa fa-circle" style="color: #d2ebd4;"></i> Medium</span>
                        @else
                           <span><i class="fa fa-circle" style="color: #f6e6ba;"></i> Low</span>
                        @endif
                    </div>
                    @endforeach
                    <!-- <div class="item">
                        <img src="{{ asset('images/favuser2.png')}}">
                        <p>Malcolm Quaday</p>
                        <span>17.6k</span>
                    </div>-->
                    <div class="showmore">
                        <a href="{{route('shop-list.show', $shop_list_id)}}">Show all</a>
                    </div>
                @else
                    If you want to pin a favorite shop list on your dashboard, please go to shops list page and check one.
                @endif
            <!-- <div class="item">
                <a href="#">www.exemple.com</a>
                <span><i class="fa fa-circle"></i> High</span>
            </div>
            <div class="item">
                <a href="#">www.exemple.com</a>
                <span><i class="fa fa-circle"></i> High</span>
            </div>
            <div class="item">
                <a href="#">www.exemple.com</a>
                <span><i class="fa fa-circle"></i> High</span>
            </div>
            <div class="item">
                <a href="#">www.exemple.com</a>
                <span><i class="fa fa-circle"></i> High</span>
            </div>
            <div class="item">
                <a href="#">www.exemple.com</a>
                <span><i class="fa fa-circle"></i> High</span>
            </div>
            <div class="item">
                <a href="#">www.exemple.com</a>
                <span><i class="fa fa-circle"></i> High</span>
            </div>
            <div class="showmore">
                <a href="#">Show all</a>
            </div> -->
        </div>
    </div>
</div>
@section('pagescript')

@stop
@endsection

resources/views/user/trend.blade.php
@extends('layout.main')
@section('content')
<div class="col-md-9 col-sm-9 col-xs-12 no-padding dskpdng">
    <div class="col-md-6 col-sm-12 col-xs-12 no-padding">
        <div class="middlepart">
            <div class="toptrends">
                <h3 class="sectitle">Top INFLUENCERS of the week (by promo) :</h3>
                @foreach($top_influencer_of_week as $key => $influencer)
                <div class="item influencer-row-link" data-influencer-details-url= "{{route('influencer.show', $influencer->influencer_id)}}">
                    <div class="trendno">
                        <span>{{$key+1}}</span>
                    </div>
                    <div class="trendinfo">
                        @if(!empty($influencer->profile_pic))
                            <img src="{{asset(Config::get('constants.profile_image_thumb_url').$influencer->profile_pic)}}">
                        @else
                            <img src="{{asset('images/profile.png')}}">
                        @endif
                        <p>{{$influencer->instagram_id}}</p>
                    </div>
                    <div class="trendpromos">
                        <p>{{$influencer->promos}} promos</p>
                    </div>
                </div>
                 @endforeach
                <div class="showmore">
                    <a href="{{route('influencer.index')}}?flag=trend">Show more</a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-6 col-sm-12 col-xs-12 no-padding">
        <div class="rightside">
            <div class="toptrends">
                <h3 class="sectitle">Top SHOPS of the week (by promo) :</h3>
                @foreach($top_shop_of_week as $key => $top_shop)
                <div class="item shop-row-link" data-shop-details-url= "{{route('shop.show', $top_shop->shop_id)}}">
                    <div class="trendno">
                        <span>{{$key+1}}</span>
                    </div>
                    <div class="trendinfo">
                        {{ Str::limit($top_shop->website, 25) }}
                    </div>
                    <div class="trendpromos">
                        <p>{{$top_shop->promotions}} promotions</p>
                    </div>
                </div>
                @endforeach
                <div class="showmore">
                    <a href="{{route('shop.index')}}?flag=trend">Show more</a>
                </div>
            </div>
        </div>
    </div>
</div>
@section('pagescript')
<script type="text/javascript">
    $(document).on('click', '.influencer-row-link', function(){ 
            window.open($(this).data("influencer-details-url"), '_blank');
        });
     $(document).on('click', '.shop-row-link', function(){ 
            window.open($(this).data("shop-details-url"), '_blank');
        });
</script>
@stop
@endsection